<?php
/**
 * If file was accessed directly, exit to prevent problems.
 * First, it tries to go to cg-directfile.php. If that file
 * is not found, then it just displays a generic message.
 * This is so that you can place a link or other message on
 * a file so that if a search engine linked to it, you could
 * get a link back to your main site.
 */
if ( !defined('IN_CG') ) {
	if ( !( @include( '../../../cg-directfile.php' ) ) ) {
		die("File can not be accessed directly");
	}
}//
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<title><?php echo cg_title();?></title>
<link rel="stylesheet" type="text/css"
	href="<?php echo THEME_URL;?>style.css" />
</head>
<body>
<?php flush();?>
<div id="header">
<div class="cgform" id="userbox"
	style="-moz-border-radius: 8px; -webkit-border-radius: 8px;"><?php
	if ($cg_session['status'] == false) {
		?>
<p><a href="<?php echo cg_url('login');?>" title="Log in">Log in</a> or
<a href="<?php echo cg_url('register');?>" title="Register">Register</a></p>
<form action="<?php echo cg_url('login');?>" method="post">
<p><label for="husername">Username </label><input type="text"
	name="husername" id="husername"
	maxlength="<?php echo $cg_settings['user.max_username'];?>"
	<?php /*if (isset($_COOKIE[REMEMBER_COOKIE])) { echo 'value="', $_COOKIE[REMEMBER_COOKIE], '"';}*/?> /><br />
<label for="hpassword">Password </label><input type="password"
	name="hpassword" id="hpassword"
	maxlength="<?php echo $cg_settings['user.max_username'];?>" /></p>
<p><input type="hidden" name="submittedlogin" value="TRUE" /></p>
<div><input type="submit" name="submit" value="Login" /></div>
</form>
	<?php
	} else {
		?>
<p>Welcome back, <?php echo $cg_session['username'];?></p>
<p>Points: <?php echo $cg_session['points'];?></p>
<p><a href="<?php echo cg_url('user_cp');?>" title="User Control Panel">User
Control Panel</a></p>
<form name="input" action="<?php echo cg_url('logout');?>" method="post">
<input type="hidden" name="session_hash" value="<?php echo $cg_session['session_hash'];?>" />
<input type="submit" value="Logout" class="linkform"/>
</form>

		<?php
	}
	?></div>
<h1><a id="title" href="<?php echo SITE_URL;?>"
	title="<?php echo $cg_settings['site_name'];?>"></a></h1>
</div>

<div id="navcontainer">
<ul id="nav" class="nav">
	<li><a href="<?php echo SITE_URL;?>">Home</a></li>
	<li><a href="games.php">Games</a></li>
	<li><a href="memorytest.php">memorytest.php</a></li>
	<li><a href="serializationtest.php">serializationtest.php</a></li>
</ul>
</div>
<div id="container">
<p class="center nav"><?php 
$cg_categories_count = count($cg_categories);
$cg_categories_current = 1;
foreach ($cg_categories as $cg_categories) {
	echo '<a href="' . cg_url('category', $cg_categories['category_name']) . '" title="' . $cg_categories['category_slug'] . '">' . $cg_categories['category_name'] . '</a>';
	if ($cg_categories_count != $cg_categories_current) {
		echo ' | ';
	}
	++$cg_categories_current;
}
?></p>