<?php
/**
 * Called when games.php is called without any parameter.
 * This is supposed to list all games but we just used listall.php to do the job.
 */
/**
 * If file was accessed directly, exit to prevent problems.
 * First, it tries to go to cg-directfile.php. If that file
 * is not found, then it just displays a generic message.
 * This is so that you can place a link or other message on
 * a file so that if a search engine linked to it, you could
 * get a link back to your main site.
 */
if ( !defined('IN_CG') ) {
	if ( !( @include( '../../../cg-directfile.php' ) ) ) {
		die("File can not be accessed directly");
	}
}
require THEME_PATH . 'header.php';
?>
<div id="highlightcontainer">
	<div id="highlight">
		<p>Here is a list of all the games on this arcade.</p>
	</div>
</div>
<div id="content">

	<?php
	include THEME_PATH . 'listall.php';
	?></div>
<?php
require THEME_PATH . 'footer.php';
?>
