<?php
/**
 * If file was accessed directly, exit to prevent problems.
 * First, it tries to go to cg-directfile.php. If that file
 * is not found, then it just displays a generic message.
 * This is so that you can place a link or other message on
 * a file so that if a search engine linked to it, you could
 * get a link back to your main site.
 *
 * This file SHOULD automatically edited by the installer and
 * by the administration panel but users can also edit this/
 * The installer is not yet created so the installer does not
 * use this file.
 */
if ( !defined('IN_CG') ) {
	if ( !( @include( '../../../cg-directfile.php' ) ) ) {
		die("File can not be accessed directly");
	}
}
require THEME_PATH . 'header.php';
?>


<h1 class="gametitle"><?php echo $cg_game['game_title'];?></h1>
<div id="gamebox" style="width:<?php echo $cg_game['width'] . 'px;height:' . $cg_game['height'];?>px;">
<object type="application/x-shockwave-flash"
	data="<?php echo $game_location;;?>" width="100%" height="100%">
	<param name="movie" value="<?php echo $game_location;?>" />
</object></div>
<p class="gametitle" style="border: 0;"><?php echo $cg_game['game_title'];?></p>
<div id="gamedesc">
<div id="highlightcontainer">
<div id="highlight" class="gamedesc">
<?php
if ($cg_game['game_icon'] != '') {
	echo '<div class="gameicon">';
	echo '<img src="' . GAMEICON_URL . $cg_game['game_icon'] . '" alt="' . $cg_game['game_title'] . '" />';
	echo '</div>';
}
?>
<?php echo '<p><strong>', $cg_game['game_title'],'</strong> - ', $cg_game['game_description'] . '</p>';?>
<p>Game Plays: <?php echo $cg_game['game_plays'];?> | Game Added: <?php echo date($cg_settings['time.general'], $cg_game['game_added']);?>
<?php
if ($cg_game['game_long_description'] != '') {
	echo '<p>', $cg_game['game_long_description'], '</p>';
}?>
</p>

</div>
</div>
</div>


<?php
include THEME_PATH . 'listall.php';


echo '<pre>';
print_r($cg_game);
echo '</pre>';

?>

<br />
<?php
require THEME_PATH . 'footer.php';
?>
