<?php

if ( ! isset ( $cg_post['usernameemail'] ) or $cg_post['usernameemail'] == '' ) {
	$cg_form_errors['usernameemail'] = 'You did not enter a username or email.';
} elseif (  $cgsql->num_query ( 'SELECT null FROM `' . USERS_TABLE . '` WHERE `username`=\'' . $cgsql->escape ( $cg_post['usernameemail'] ) . "'" ) == 0 ) {
	// Username is not in the password

	if (is_email($cg_post['usernameemail'])) { // If there is no user registered under this name, check if this is an email

		if ($cgsql->num_query ( 'SELECT null FROM `' . USERS_TABLE . '` WHERE `email`=\'' . $cgsql->escape ( $cg_post['usernameemail'] ) . "'" ) > 0) {
			// This is a valid email address
			// Returns the email again so more accurate
			$cg_user = $cgsql->get_row('SELECT `user_id`, `username`, `email` FROM `' . USERS_TABLE . '` WHERE `email`=\'' . $cgsql->escape( $cg_post['usernameemail'] ) . "'");

		} else {
			// There is no email address or username
			$cg_form_errors['usernameemail'] = 'The username or email was not found in our records.';
		}
	} else {
		// Nothing was found.
		$cg_form_errors['usernameemail'] = 'The username or email was not found in our records.';
	}
} else {
	// This username exists. Now, get the user id.
	$cg_user = $cgsql->get_row('SELECT `user_id`, `username`, `email` FROM `' . USERS_TABLE . '` WHERE `username`=\'' . $cgsql->escape( $cg_post['usernameemail'] ) . "'");
}

if (empty($cg_form_errors)) {
	// There are no errors and it is now safe to do some more processing

	$cg_confirm_hash = md5(uniqid(microtime()) . str_shuffle(rand()));

	echo $cg_confirm_query = 'INSERT INTO `' . CONFIRM_TABLE . '` (`user_id`, `type`, `confirmation_id`, `time`) VALUES (\'' . $cg_user['user_id'] . '\', 0, \'' . $cg_confirm_hash . '\', ' . time() . ')';

	$cgsql->simple_query($cg_confirm_query);

	$cg_mail_headers = 'From: ' . $cg_settings['admin_name'] . ' <' . $cg_settings['site_email'] . ">\r\n";
	$cg_mail_headers .= "Content-type: text/html\r\n"; 

	// The content to mail to the user
	// This content contains a link to the reset password
	$cg_reset_password_content = '
<html>
<head>
<title>Reset Password Requested at ' . $cg_settings['site_name'] . '</title>
</head>
<body>
<p>You or someone has requested a password reset for the user &#39;' . $cg_user['username'] . '&#39;</p>
<p>To reset the password, simply click on the link below and instructions will appear:</p><p>&nbsp;</p>
<p><a href="' . cg_url('reset_password', '&c=' . $cg_confirm_hash . '&u=' . $cg_user['user_id'] . '') . '">' . cg_url('reset_password', '&c=' . $cg_confirm_hash . '&u=' . $cg_user['user_id'] . '') . '</a></p>
<p>&nbsp;</p>
<p>If you did not request this password change, please ignore it. It will expire and become useless in 24 hours.</p>
</body>
</html>
';
	if ($cg_settings['on.mail']) {
		// Mail is allowed
		mail($cg_user['email'], 'Reset Password Requested at ' . $cg_settings['site_name'], $cg_reset_password_content, $cg_mail_headers);
	}
}