<?php
/**
 * husername is for the header login (stands for Header USERNAME). They have the first priority.
 */
if ( isset ( $cg_post['husername'] ) ) {
	$cg_post['username'] = $cg_post['husername'];
}
if ( isset ( $cg_post['hpassword'] ) ) {
	$cg_post['password'] = $cg_post['hpassword'];
}
if ( ! isset ( $cg_post['username'] ) or $cg_post['username'] == '' ) {
	$cg_form_errors['username'] = 'You did not enter a username.';
} elseif ( isset ( $cg_post['username'][255] ) ) { // Username longer than 255 characters
	$cg_form_errors['username'] = 'The username you entered is too long.';
} else {
	$cg_login['username'] = $cg_post['username'];
}

if ( ! isset ( $cg_post['password'] ) or $cg_post['password'] == '' ) {
	$cg_form_errors['password'] = 'You did not enter a password.';
} elseif ( isset ( $cg_post['password'][39] ) ) { // Username longer than 39 charcters 
	//In the future, javascript will do sha1 on the password to make it more secure. Therefore, we can not have 40 or more characters
	$cg_form_errors['password'] = 'The password you entered is too long.';
} else {
	$cg_login['password'] = $cg_post['password'];
}

/**
 * The only security hole possible in this script is that if the cg_settings['user.username_pattern'] was changed
 * The password is hashed so there is no way of sql injection.
 */
if ( empty ( $cg_form_errors ) ) {
	require INC_PATH . 'dologin.php';
}