<?php
/*
 * Coal Games
 *
 * @package Coal Games
 */

$cg_logged_out = false;

if (isset($cg_post['session_hash'])
&& strlen ( $cg_post['session_hash'] ) === 40
&& preg_match ( '/^[a-z0-9]{40}$/i', $cg_post['session_hash'] )
&& 1 == $cgsql->num_query('SELECT null FROM `' . SESSIONS_TABLE . '` WHERE `session_hash`=\'' . $cgsql->escape($cg_post['session_hash']) . "'") ) {
	// We have done basic validation about the session

	$cg_agent_hash = sha1($_SERVER['HTTP_USER_AGENT']);

	$cg_delete_session_query = 'DELETE FROM `' . SESSIONS_TABLE . '` WHERE
		`session_hash`=\'' . $cgsql->escape($cg_cookie[$cg_settings['cookie.session']]) . '\' &&
		`agent_hash`=\'' . $cg_agent_hash . '\'';
	$cgsql->simple_query($cg_delete_session_query); // No need to know how many rows affected since it makes no difference
	setcookie($cg_settings['cookie.session'], 0, 0, '/', '', 0, 1);
	$cg_logged_out = true;
}