<?php
/**
 * If file was accessed directly, exit to prevent problems.
 * First, it tries to go to cg-directfile.php. If that file
 * is not found, then it just displays a generic message.
 * This is so that you can place a link or other message on
 * a file so that if a search engine linked to it, you could
 * get a link back to your main site.
 */
if ( !defined('IN_CG') ) {
	if ( !( @include( '../../../cg-directfile.php' ) ) ) {
		die("File can not be accessed directly");
	}
}

require THEME_PATH . 'header.php';
?>

<div id="highlightcontainer">
<div id="highlight">
<h1><?php echo $cg_category['category_name'];?></h1>
</div>
</div>
<div id="content"><?php
$listall_sql = 'SELECT game_title, game_url, game_id FROM `' . GAMES_TABLE . '` WHERE `game_status`=2 && `game_cat`=' . $cg_category['category_id'];
$listall_result = $cgsql->get_results($listall_sql);
if ($listall_result === false) {
	die('There was a database error. Sorry for the inconveinence');
} else {
	// Listgame was successful
	echo '<div class="gamecolumn">';
	$listall['whilecount'] = 0;
	$num_games_query = $cgsql->get_row('SELECT COUNT( * ) FROM  `' . GAMES_TABLE . '` WHERE `game_status`=2 && `game_cat`=' . $cg_category['category_id']);
	$listall['topnumber'] = $num_games_query['COUNT( * )'];
	$listall['halftopnumber'] = round($listall['topnumber'] / 2) +1;
	foreach($listall_result as $listgames) {
		++$listall['whilecount'];
		if ( $listall['whilecount'] == $listall['halftopnumber'] ) {
			echo '</div><div class="gamecolumn">';
		}
		echo '<a href="' . cg_url('playgame', $listgames['game_url']) . '" title="' . $listgames['game_title'] .  '">' . $listgames['game_title'] . '</a><br />' . "\n";
	}
	echo '</div>';
}
?></div>


<?php
require THEME_PATH . 'footer.php';