<?php
/*
 * Coal Games
 *
 * @package Coal Games
 */

/**
 * If file was accessed directly, exit to prevent problems.
 * First, it tries to go to cg-directfile.php. If that file
 * is not found, then it just displays a generic message.
 * This is so that you can place a link or other message on
 * a file so that if a search engine linked to it, you could
 * get a link back to your main site.
 */
if ( !defined('IN_CG') ) {
	if ( !( @include( '../../../cg-directfile.php' ) ) ) {
		die("File can not be accessed directly");
	}
}

require THEME_PATH . 'header.php';
?>
<div id="content">
<?php require THEME_PATH . 'user_sidebar.php';?>
<div id="ucpc" class="cginfo">
    <p><label>Points: </label><?php echo $cg_session['points'];?></p>
    <p><label>Lifetime Points: </label><?php echo $cg_session['lifetime_points'];?></p>
    <p><label>Time Online: </label><?php echo timeformat($cg_session['total_active']);?></p>

</div>
</div>
<?php
require THEME_PATH . 'footer.php';
