<?php
/**
 * Games page
 *
 * Retrieves a list of the games.
 * The GET is flash
 */
function getTime() {
	$timer = explode( ' ', microtime() );
	$timer = $timer[1] + $timer[0];
	return $timer;
}
$start = getTime();
/**
 * All pages need to define the IN_CG constant in order to be accepted
 * by cg-load.php
 */
define('IN_CG', true);

/**
 * Initialize the envrionment for Coal Games Project
 */
require ( 'cg-load.php' );

if (!isset($cg_get[$cg_url['game_get']]) || empty($cg_get[$cg_url['game_get']])) {
	$list_game_sql = 'SELECT `game_title`, `game_url`, `game_id` FROM `' . GAMES_TABLE . '` WHERE `game_status`=2';
	$list_game_query = $cgsql->get_results($list_game_sql);
	if ($list_game_query === 0) {
		die('There are no games in this arcade');
	} elseif ($list_game_query === false) {
		die('There was a database error. Sorry for the inconveinence');
	} else {
		// Listgame was successful
		$cg_query = 1; // List Games
	}
} elseif (isset($cg_get[$cg_url['game_get']])) {
	$get_flash =
	htmlentities(
	strtolower($_GET[$cg_url['game_get']] ) );
	$game_sql = 'SELECT * FROM `' . GAMES_TABLE . '` WHERE `game_url`=\'' . $cgsql->escape($get_flash) . '\'';
	$cg_game = $cgsql->get_row($game_sql);
	if ($cg_game === 0) {
		$cg_query = 2; // Non Existent Game
	} elseif ($cg_game === null) {
		die('ERROR: Invalid game query in games.php');
		$cg_query = 4;
	} else {
		$cgsql->simple_query('UPDATE ' . GAMES_TABLE . ' SET `game_plays`=(`game_plays`+1) WHERE `game_id`=' . $cg_game['game_id']);
		/**
		 * Add support for games that may be hosted on a different server
		 */
		switch ($cg_game['game_type']) {
			case '0': // 0 for local
				//FALL THROUGH
				$game_location = './' . $cg_settings['folder.content'] . '/' . $cg_settings['folder.flashgames'] . '/' . $cg_game['game_location'];
				break;
			case '1': // 1 for external
			default:
				//FALL THROUGH
				$game_location = $cg_game['game_location'];
		}
		$cg_query = 3; // User wants to play a single game
	}
}

require INC_PATH . 'template-loader.php';

